#ifndef SERVO_H
#define SERVO_H

#include <avr/interrupt.h>  

#define SERVO_OUTPUT_CHANNELS		20			// number of servos 

#define SetBit(ADDRESS,BIT) (ADDRESS |= (1<<BIT)) 
#define ClearBit(ADDRESS,BIT) (ADDRESS &= ~(1<<BIT)) 
#define FlipBit(ADDRESS,BIT) (ADDRESS ^= (1<<BIT)) 
#define CheckBit(ADDRESS,BIT) (ADDRESS & (1<<BIT)) 
#define SetBitMask(x,y) (x |= (y)) 
#define ClearBitMask(x,y) (x &= (~y)) 
#define FlipBitMask(x,y) (x ^= (y)) 
#define CheckBitMask(x,y) (x & (y))

static volatile uint16_t *servo_channel_A_ptr;	// pointer for first channel (servos 0..9)
static volatile uint16_t *servo_channel_B_ptr;	// pointer for second channel (servos 10..19)
static volatile uint8_t  servo_channel_A_i;		// counter keeps track of which servo is on in channel A
static volatile uint8_t  servo_channel_B_i;		// counter keeps track of which servo is on in channel B
volatile uint8_t  servo_channel_A_updated;  	// this flag variable is set when channel A can be updated with new servo values.  This is not static because it is used externally in main()
volatile uint8_t  servo_channel_B_updated;		// this flag variable is set when channel B can be updated with new servo values.  This is not static because it is used externally in main()

void Init_servo_out(uint16_t *RCout);			// function to initialize things

#endif

